#include <stdio.h>
#include "atl.h"
#include "cm.h"

typedef struct _msg {
    char *string_field;
} msg, *msg_ptr;

static IOField msg_field_list[] =
{
    {"string_field", "string", sizeof(char*), 0},
    {NULL, NULL, 0, 0}
};

main(argc, argv)
int argc;
char **argv;
{
    CManager cm = CManager_create();
    CMConnection conn;
    attr_list contact_list;
    CMFormat format;
    msg	message;

    contact_list = attr_list_from_string(argv[1]);
    conn = CMinitiate_conn(cm, contact_list);
    format = CMregister_format(cm, "hello", 
                               msg_field_list, NULL);

    message.string_field = "Hello, World!";
    if(CMwrite(conn, format, &message) != 1) {
	printf("write failed\n");
    }
    CMConnection_close(conn);
    CManager_close(cm);
}
