#ifndef DOC
#include "config.h"
#include "io.h"
#include "atl.h"
#include "cm.h"
#include "gen_thread.h"
#include "echo.h"

#include <stdio.h>
#include <stdlib.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_WINDOWS_H
#include <windows.h>
#endif
#endif
void handler(event, length, client_data, attrs)
void *event;
int length;
void *client_data;
attr_list attrs;
{
    printf("event data is %ld\n", *(long *) event);
}

int main(argc, argv)
int argc;
char **argv;
{
    CManager cm;
    EChannel chan;
    EControlContext cc;

    cm = CManager_create();
    cc = ECho_CM_init(cm);

    chan = EChannel_open(cc, argv[1]);
    (void) ECsink_subscribe(chan, handler, NULL);
    CMsleep(cm, 120);
    return 0;
}
