/* Definitions. */
#define TEST_SERVICE "test_service"

#define TEST_SERVICE_MAX_DC_EVENTS 10
#define TEST_SERVICE_MAX_UC_EVENTS 10
#define TEST_SERVICE_DC_ENTRIES TEST_SERVICE_MAX_DC_EVENTS/32 + 1
#define TEST_SERVICE_UC_ENTRIES TEST_SERVICE_MAX_UC_EVENTS/32 + 1
#define TEST_SERVICE_DC_EVENT_SIZE sizeof(struct test_service_single_event)
#define TEST_SERVICE_UC_EVENT_SIZE sizeof(struct test_service_single_event)
#define TEST_SERVICE_DC_MEMORY sizeof(struct test_service_dc_data) + \
	sizeof(int) + sizeof(unsigned long) * TEST_SERVICE_DC_ENTRIES
#define TEST_SERVICE_UC_MEMORY sizeof(struct test_service_uc_data) + \
	sizeof(int) + sizeof(unsigned long) * TEST_SERVICE_UC_ENTRIES

/*
#define TEST_SERVICE_DC_MEMORY 4096
#define TEST_SERVICE_UC_MEMORY 4096
*/

/* Data definition. */
struct test_service_single_event {
  int value1;
  int value2;
};

struct test_service_dc_data {
  int flag;
  unsigned long bit_pattern[TEST_SERVICE_DC_ENTRIES];
  struct test_service_single_event event_data[TEST_SERVICE_MAX_DC_EVENTS];
};

struct test_service_uc_data {
  int flag;
  unsigned long bit_pattern[TEST_SERVICE_UC_ENTRIES];
  struct test_service_single_event event_data[TEST_SERVICE_MAX_UC_EVENTS];
};

/*
struct test_service_uc_data {
  int flag;
  int front;
  int back;
  char data[TEST_SERVICE_UC_MEMORY];
};
*/
